%define oname communi-desktop
%global __brp_check_rpaths %{nil}

Name:           communi
Version:        3.5.0
Release:        %mkrel 10
Summary:        A simple and elegant cross-platform IRC client for desktop platforms
Group:          Networking/IRC
License:        BSD
URL:            https://communi.github.io
# From https://github.com/communi/communi-desktop with submodules
Source0:        %{oname}-%{version}.tar.xz
Patch0:         communi-desktop-3.4.0-gnome-plugin-x11.patch

BuildRequires:  libcommuni-devel >= %{version}
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)

%description
Communi provides a set of tools for enabling IRC connectivity in Qt-based C++ and QML applications.
See the online reference documentation for help with getting started: https://communi.github.io/doc

%prep
%setup -q -n %{oname}-%{version}
%autopatch -p1

%build
%qmake_qt5 COMMUNI_INSTALL_LIBS=%{_libdir}
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

find %{buildroot} -name '*.so' -delete

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/themes/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_libdir}/libCommuni.so.1{,.*}
%{_qt5_plugindir}/%{name}/


%changelog
* Wed Mar 09 2022 mrambo3501 <mrambo3501> 3.5.0-10.mga9
+ Revision: 1790193
- disable rpath checking

* Wed Dec 16 2020 umeabot <umeabot> 3.5.0-9.mga8
+ Revision: 1658269
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 3.5.0-8.mga8
+ Revision: 1524424
- Mageia 8 Mass Rebuild

* Sat Mar 30 2019 umeabot <umeabot> 3.5.0-7.mga7
+ Revision: 1381462
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 3.5.0-6.mga7
+ Revision: 1296719
- Mageia 7 Mass Rebuild

* Thu Nov 24 2016 daviddavid <daviddavid> 3.5.0-5.mga6
+ Revision: 1070066
- fix libCommuni install path

* Thu Nov 24 2016 akien <akien> 3.5.0-4.mga6
+ Revision: 1070063
- Version 3.5.0
- Version 3.5.0

* Sun Jan 24 2016 akien <akien> 3.4.0-1.mga6
+ Revision: 926898
- imported package communi

